target_dir: "/home/debian/netbox/{{ lookup('ansible.builtin.env', 'CI_PIPELINE_ID') }}"
target_entrypoint: "{{ target_dir }}/docker/postgres/docker-entrypoint-initdb.d/"
target_xxl_dir: "{{ target_dir }}/data/scripts/xxl/"

netbox:
  base_url: "localhost:8080"
  username: "admin"
  password: "$SUPERUSER_PASSWORD"
  token_timeout: "30"
docker:
  netbox_container: "{{ lookup('ansible.builtin.env', 'CI_PIPELINE_ID') }}-netbox-1"
  postgres_container: "{{ lookup('ansible.builtin.env', 'CI_PIPELINE_ID') }}-postgres-1"
  user: "ubuntu"
  scripts: "/input_data/scripts/group_vm/"
  output: "/input_data/output/"
runner:
  scripts: "{{ target_dir }}/data/scripts/group_vm/"
  output: "{{ target_dir }}/data/output/"
  db_perf: "{{ target_dir }}/data/scripts/group_db_performance/db_performance_full_data.sh"
  db_perf_config: "{{ target_dir }}/data/scripts/group_db_performance/db_perf.conf"
  xxl_conf: "{{ target_dir }}/data/scripts/xxl/xxl.conf"
siege:
  config: "{{ docker.scripts }}http/siege.conf"
  log: "{{ docker.output }}siege.log"

pg_on_prod:
  max_connections: "100"
  shared_buffers: "2GB"
  effective_cache_size: "6GB"
  maintenance_work_mem: "512MB"
  checkpoint_completion_target: "0.9"
  wal_buffers: "16MB"
  default_statistics_target: "100"
  random_page_cost: "1.1"
  effective_io_concurrency: "200"
  work_mem: "10485kB"
  huge_pages: "off"
  min_wal_size: "1GB"
  max_wal_size: "4GB"
  max_worker_processes: "4"
  max_parallel_workers_per_gather: "2"
  max_parallel_workers: "4"
  max_parallel_maintenance_workers: "2"
